--- old/usr/src/uts/sun4u/cpu/us3_jalapeno_asm.s	Fri Feb 28 06:15:57 2020
+++ new/usr/src/uts/sun4u/cpu/us3_jalapeno_asm.s	Fri Feb 28 06:15:57 2020
@@ -26,11 +26,7 @@
  * Assembly code support for the jalapeno module
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -54,8 +50,6 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if !defined(lint)
-
 /* BEGIN CSTYLED */
 
 #if defined(JALAPENO) && defined(JALAPENO_ERRATA_85)
@@ -324,17 +318,6 @@
 
 /* END CSTYLED */
 
-#endif	/* !lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-shipit(int upaid, int bn)
-{ return; }
-
-#else	/* lint */
-
 /*
  * Ship mondo to aid using implicit busy/nack pair (bn ignored)
  */
@@ -347,9 +330,7 @@
 	nop
 	SET_SIZE(shipit)
 
-#endif	/* lint */
 
-
 /*
  * flush_ecache:
  *	%o0 - 64 bit physical address
@@ -356,15 +337,7 @@
  *	%o1 - ecache size
  *	%o2 - ecache linesize
  */
-#if defined(lint)
 
-/*ARGSUSED*/
-void
-flush_ecache(uint64_t physaddr, size_t ecache_size, size_t ecache_linesize)
-{}
-
-#else /* !lint */
-
 	ENTRY(flush_ecache)
 #if defined(JALAPENO) && defined(JALAPENO_ERRATA_85)
 	CHK_JP_ERRATA85_ENABLED(%g1, flush_ecache_1);
@@ -387,17 +360,7 @@
 	nop
 	SET_SIZE(flush_ecache)
 
-#endif /* lint */
 
-
-#if defined(lint)
-
-void
-fast_ecc_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_err)
@@ -528,9 +491,7 @@
 
 	SET_SIZE(fast_ecc_err)
 
-#endif	/* lint */
 
-
 /*
  * Fast ECC error at TL>0 handler
  * We get here via trap 70 at TL>0->Software trap 0 at TL>0.  We enter
@@ -539,14 +500,7 @@
  * comment block "Cheetah/Cheetah+ Fast ECC at TL>0 trap strategy" in
  * us3_common_asm.s
  */
-#if defined(lint)
 
-void
-fast_ecc_tl1_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_tl1_err)
@@ -770,31 +724,7 @@
 
 	SET_SIZE(fast_ecc_tl1_err)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-uint64_t
-get_jbus_config(void)
-{ return (0); }
-
-/* ARGSUSED */
-void
-set_jbus_config(uint64_t jbus_config)
-{}
-
-/* ARGSUSED */
-void
-set_mcu_ctl_reg1(uint64_t mcu_ctl)
-{}
-
-uint64_t
-get_mcu_ctl_reg1(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(get_jbus_config)
 	ldxa	[%g0]ASI_JBUS_CONFIG, %o0
 	retl
@@ -823,10 +753,7 @@
 	nop
 	SET_SIZE(set_mcu_ctl_reg1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
 /*
  * scrubphys - Pass in the aligned physical memory address
  * that you want to scrub, along with the ecache set size.
@@ -849,12 +776,6 @@
  * will stay E, if the store doesn't happen. So the first displacement flush
  * should ensure that the CAS will miss in the E$.  Arrgh.
  */
-/* ARGSUSED */
-void
-scrubphys(uint64_t paddr, int ecache_set_size)
-{}
-
-#else	/* lint */
 	ENTRY(scrubphys)
 	rdpr	%pstate, %o4
 	andn	%o4, PSTATE_IE | PSTATE_AM, %o5
@@ -882,10 +803,6 @@
 	membar	#Sync			! move the data out of the load buffer
 	SET_SIZE(scrubphys)
 
-#endif	/* lint */
-
-
-#if defined(lint)
 /*
  * clearphys - Pass in the physical memory address of the checkblock
  * that you want to push out, cleared with a recognizable pattern,
@@ -896,13 +813,6 @@
  * in an entire ecache subblock's worth of data, and write it back out.
  * Then we overwrite the 16 bytes of bad data with the pattern.
  */
-/* ARGSUSED */
-void
-clearphys(uint64_t paddr, int ecache_set_size, int ecache_linesize)
-{
-}
-
-#else	/* lint */
 	ENTRY(clearphys)
 	/* turn off IE, AM bits */
 	rdpr	%pstate, %o4
@@ -962,10 +872,7 @@
 	  wrpr	%g0, %o4, %pstate
 	SET_SIZE(clearphys)
 
-#endif	/* lint */
-	
 
-#if defined(lint)
 /*
  * Jalapeno Ecache displacement flush the specified line from the E$
  *
@@ -973,12 +880,6 @@
  *	%o0 - 64 bit physical address for flushing
  *	%o1 - Ecache set size
  */
-/*ARGSUSED*/
-void
-ecache_flush_line(uint64_t flushaddr, int ec_set_size)
-{
-}
-#else	/* lint */
 	ENTRY(ecache_flush_line)
 
 #if defined(JALAPENO) && defined(JALAPENO_ERRATA_85)
@@ -998,7 +899,6 @@
 	retl
 	  nop
 	SET_SIZE(ecache_flush_line)
-#endif	/* lint */
 
 
 /*
@@ -1007,12 +907,6 @@
  * CPU's internal "invalidate FIFOs" are flushed.
  */
 
-#if defined(lint)
-void
-jbus_stst_order()
-{}
-#else	/* lint */
-
 #define	VIS_BLOCKSIZE	64
 
 	.seg    ".data"
@@ -1035,21 +929,11 @@
 	membar  #Sync
 	SET_SIZE(jbus_stst_order)
 
-#endif	/* lint */
-
-#if defined(lint)
 /*
  * This routine will not be called in Jalapeno systems.
  */
-void
-flush_ipb(void)
-{ return; }
-
-#else	/* lint */
-
 	ENTRY(flush_ipb)
 	retl
 	nop
 	SET_SIZE(flush_ipb)
 
-#endif	/* lint */